% Base document class.
\documentclass[bibliography=totoc]{scrbook}
%~ \usepackage{showframe}
\usepackage[left=2.589cm,right=3.762cm]{geometry}

% Language.
\usepackage[english,ngerman]{babel}

% Math relevant packages (includes packages that we mostly include
% for their mathematical symbols).
\usepackage{amsfonts}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{amsthm}
%\usepackage{esint}                % package for := and =:
\usepackage{colonequals}
\usepackage{mathrsfs}
\usepackage{stmaryrd}
\usepackage{siunitx}


% Packages for graphics, figures, pseudo codes and tables.
\usepackage{graphicx}
\usepackage{multicol}    % used for the two-column index
\usepackage{subcaption}
\usepackage{tikz}
\usepackage{verbatim}
\usepackage{scalerel}
\usepackage{verbatimbox}
\usepackage{algorithm}
\usepackage{algorithmic}
\usepackage[absolute,quiet,overlay]{textpos}


% Text formatting and display.
\usepackage{color}
\usepackage{enumitem}


% Referencing.
\usepackage{url}
\usepackage{hyperref}
\usepackage[capitalize]{cleveref}
\usepackage[final]{showlabels} % Turn off with "final", turn on e.g. with "left". For all options see https://de.sharelatex.com/blog/2012/01/31/keep-track-of-your-labels-with-showlabels.html
%~ \usepackage{refcheck}   % Warn about un-referenced equations || WARNING: Breaks the assumption environment.

% Control logic for defining custom commands.
\usepackage{ifthen}


% Further configuration:
% Set path to graphics.
\graphicspath{{gfx/}}



% Post-processing and design related
%~ \usepackage{fancyhdr}
%~ \pagestyle{fancy}
\usepackage{etoolbox}
